Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161835 - Kernel can't read disk labels, panics on boot
Summary: Kernel can't read disk labels, panics on boot
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 4
Hardware: athlon
OS: Linux
low
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-27 17:04 UTC by Ted Kaczmarek
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-29 02:03:15 UTC


Attachments (Terms of Use)

Description Ted Kaczmarek 2005-06-27 17:04:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
Attempting a yum upgrade from fc3 to fc4, can't get the fc4 kernel to boot, keeps giving me unable to mount "/" becuase it can't read the disk label. e2label shows /dev/sda2 as "/", 2.6.11-1.27_FC3smp boots fine. I have gcc, glibc and for kicks e2fsprogs updated to fc4 versions. 


Version-Release number of selected component (if applicable):
kernel-smp-2.6.11-1.1369_FC4

How reproducible:
Always

Steps to Reproduce:
1.FC3>>FC4 yum
2.kernal can't mount "/"
3.
  

Actual Results:  Kernel panic

Expected Results:  Kernel mounts "/" and continues boot up process.

Additional info:

Going to experiment some more see what I can come up with, the box is a tyan 2462 SMP, two scsi, two ide drives with burner and cd rom installed. Will try kernel.org kernel as well.

Comment 1 Dave Jones 2005-06-27 17:58:34 UTC
first guess - the initrd is broken. Can you try removing that kernel, and
reinstalling it (I assume you have the FC4 mkinitrd installed ?)

Comment 2 Ted Kaczmarek 2005-06-28 00:14:21 UTC
You are right on, I did not update mkinitrd. After repeating kernel install with
FC4 version of mkinitrd boots like a champ. Should the newer kernel have a
requires version for the newer mkinitrd?


Comment 3 Rahul Sundaram 2005-06-29 01:44:36 UTC
More information from the above user. The requirements seem to be incorrect in
the specification


rpm -qR kernel-smp
rpmlib(VersionedDependencies) <= 3.0.3-1
fileutils
module-init-tools
initscripts >= 5.83
mkinitrd >= 4.1.15
/bin/sh
/bin/sh
/bin/sh
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1

#rpm -q mkinitrd (FC4)

mkinitrd-4.2.15-1




Comment 4 Dave Jones 2005-06-29 02:03:15 UTC
it's a little too late to fix in the spec now though seeing as FC4 has already
shipped.



Note You need to log in before you can comment on or make changes to this bug.